package core.api.models.timemanager.taskSchedule.scheduleInfos;

import com.fasterxml.jackson.annotation.JsonFormat;

import javax.validation.constraints.NotNull;
import java.time.LocalDate;

public class BasicScheduleFieldInfo extends ScheduleFieldInfo{

    @NotNull
    @JsonFormat(pattern = "yyyy-MM-dd'T'HH:mm:ss.SSSXXX")
    private LocalDate scheduleDate;

    public BasicScheduleFieldInfo(LocalDate localDate) {
        this.scheduleDate = localDate;
    }

    public BasicScheduleFieldInfo() {
    }

    public LocalDate getScheduleDate() {
        return scheduleDate;
    }

    public void setScheduleDate(LocalDate scheduleDate) {
        this.scheduleDate = scheduleDate;
    }
}
